
 ~ X-Battle a modification for Quake 4 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

   Date:  April, 2006
   Url:   http://www.xbattle.de/
   Mail:  info@xbattle.de
   Wiki:  http://wiki.xbattle.de/

   Feel free to visit us at #BattleMod in QuakeNet :)

 ~ Server Commands ReadMe ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

   fs_statsPath <string>
        Path in filesystem where log files will be written.

   g_allowShaftInWater <0|1> - Default: 1
        Controls the behaviour of the shaft in water, which means the shaft
        grills a player if used in water, like in Quake 1.
        0 - Disabled
        1 - Enabled

   g_altMinRespawnLimit <0|1> - Default: 0
        Toggles the use of alternative minimum spawn times for players.
        0 - Off, Vanilla Quake 4 (3 seconds)
        1 - On, Vanilla Quake 3 (1.7 seconds)

   g_autoConfig <keyword>
        Allows to control the usage of the server configs in XBM.
        This configs cant be changed via callvote command and thought
        for competition use.
        
        keyword must be one of :
        Quake4   - force quake4 default settings ( shortcut q4 )
        XBattle  - force XBM defaults
        ClanBase - force CB league settings
        Kuh3Liga - force Kuh3Liga settings ( shortcut k3l )
        Server   - allows custom server-configs. The config file must be placed
                   in the cfg-custom folder of the server and must have one of
                   the following names :
                   default.cfg - this config will be executed on startup and
                                 after each gametype change.
                   tdm.cfg     - for a team deathmatch config.
                   ctf.cfg     - for a capture the flag config
                   duel.cfg    - for a duel config
                   trny.cfg    - for a tourney config
                   ca.cfg      - for a clanarena config
        VoteAble - disabled hardconfig 
        
        The serverinfo indicated the status of this setting in si_autoConfig, so
        gamebrowsers can easy search for a server with the needed settings.
        
   g_fastWeaponSwitch <0|1> - Default: 1
   		Toggles shotgun and hyperblasters weaponswitch.
        0 - Off, wait until weapon is reloaded
        1 - On, vanilla quake4 ( default )

   g_instaGib <0|1> - Default: 0
        Toggle instagib gameplay on/off
        0 - Disable
        1 - Enable, all items are removed and clients will only have the railgun.
            One hit makes 400 damage and kills your opponent.

   g_maxRespawnTime <1-60> - Default: 10
        Timelimit until dead clients are forced to respawn in seconds.
        The min. respawntime will be added to this value.
        See g_altMinRespawnLimit

   g_onlyArmorTD <0|1> - Default: 1
        0 - full teamdamage (health + armor)
        1 - only armor teamdamage

   g_PUbehavior <0|1> - Default: 0
        Controls the powerup behavior.
        0 - Disabled, default q4 behavior.
        1 - Enabled, q3 behavior:
            First powerup spawn will be random between 30 and 60 seconds.
            Dropped powerups will stay for 30 seconds before they will removed
            from the map.
            Remaining poweruptime stays at the time where the pu was dropped.

   g_spawnType <0-3> - Default: 0
        Set different player spawn behavior
        (We suggest using a value of 2 or 3)
        0 - random furthest from killer ( vanilla Q4, default )
        1 - random furthest from dead player
        2 - completly random
        3 - completly random without 3 nearest from killer

   g_statsLog <0|1|2> - Default: 0
        Controls log output.
        0 - Disabled
        1 - Enabled (unsynced logging) *recommended*
        2 - Enabled (synced logging)
        
   g_statsLogEmptyGames <0|1> - Default: 1
        Controls whether games without any players connected are logged.
        0 - Disabled
        1 - Enabled
        
   match_lateJoin <0|1> - Default: 1
        Specifies whether players connecting after a match has started can
        freely join during the match. This option is ignored if si_warmup
        is set to 0.
        0 - Disabled
        1 - Enabled
   
   match_overtime <0|1|2|3> - Default: 1
        Specifies the type of overtime mode to handle in the case of
        a scoring tie in Team DM/CTF:

        0 - No overtime: matches can end in a tie
        1 - Sudden Death: Match continues indefinately, first score
            wins (1v1/CTF default -- quake4 default overtime handling)
        2 - Sudden Death-Timed overtime: If the match is still
            tied after x overtime rounds, the match will move
            to sudden death with first score to win (Team DM
            default -- unlimited 5-minute periods)
        3 - Tie-Timed overtime: If match is still tied after x
            overtime rounds, the match ends in a tie (like hockey).

   match_overtimeCount <n> - Default: 0
        Number of timed overtime rounds to play until either sudden
        death or a tie is issued.  Note, setting this parameter to 0
        will give an indefinate # of overtime periods until a victor
        is determined.

   match_overtimeLength <n> - Default: 5
        Number of minutes for a timed overtime round.
        This value must be >= 1 (forced inside the game).

   match_respawnOnSD <0|1> - Default: 1
        Maprestart while entering sudden death mode?
        0 - Disabled
        1 - Enabled (q4 default)

   match_timeoutCount <n> - Default: 3
        Control the maximum number of timeouts in a game per team. A value
        of 0 will disable timeout functionality.
       
        NOTE: a referee can always pause a game!

   match_timeoutLength <n> - Default: 60
        Controls the maximal length of a timeout in seconds before the game
        goes on.

        NOTE: a referee timeout has no timelimit!

   match_fallingDamage <0|1> - Default: 1
        Controls whether falling damage is enabled or not.
        0 - Disabled
        1 - Enabled (q4 default)

   match_selfDamage <0|1> - Default: 1
        Controls whether self damage is enabled or not.
        0 - Disabled
        1 - Enabled (q4 default)

   net_serverRefereePassword <string> - Default ""
        Sets the password for in-game "referee" (admin) access.

   pm_smoothBoxJumps <0-16> - Default: 1
        Allows smoother jumping on boxes
        0    - Off
        1    - smooth box jumps a little (default)
        2-16 - more smoothing

        If the stairjump fix is enabled, in Q4 you have the possibility to do
        boxjumps, because the stairjump fix enables you to step on stairs,
        while you are in air. If you have a box that is max 16 (max stepsize)
        units higher than your jumpheight, you can step on it as on stairs and
        jump to the next box. that's called a boxjump. but in some places,
        like in "the edge" on the upper yellow armor, it is hard to do a
        boxjump, because the box is too big, then you need to jump very exact
        on the box, to do the boxjump. All smoothboxjump does is increasing
        the max stepsize, when jumping in the air (doesn't work on ground).
        This makes boxjumping possible from more positions much easier. Anyway,
        someone may think, that it adds speed to get up there, but it doesn't.

   si_autoAction <bitmask> - Default: 0
        Forces clients to take demos and screenshots of a match.

        Value:
         1 - Statslog
         2 - Screenshot
         4 - Demorecord
        
         A value of 3 will force demorecording and takes a endlevel-screenshot
         of each client.

         So a value of 7 will record a demo and will do a statsdump + screenshot
         at the end of the match.
   
   si_captureLimit <n> - Default: 5
        Capturelimit for flaggames.
        0 - No Capturelimit
        > 0 - Capturelimit in caps
        
   si_roundLimit <n> - Default: 7
        Roundlimit for roundgames like ClanArena.
        0 - No Roundlimit
        > 0 - Roundlimit in rounds

   si_freeModels <0|1> - Default: 0
        Allows using of all models
        0 - Disabled
        1 - Enabled

   si_teamdamage <0|1> - Default: 0
        0 - no teamdamage
        1 - enable team damage (see g_onlyArmorTD for different options)

   si_scoreBotSupport <0|1> - Default: 1
        Server queries returns player scores, team scores and timeleft.
        0 - Disabled
        1 - Enabled

   si_scoreBotRefreshRate <1-60> - Default: 10
        Scorebot-info refresh interval in seconds.
        Sets the interval in seconds that the server will refresh game
        information used for scorebots.
        
   team_allCaptain <0|1> - Default: 0
        0 - There is only one captain per team.
        1 - All players have captain status, but there is still one true
            captain.
   
   team_noControls <0|1> - Default: 0
        Option for public servers to remove captain commands.
        0 - Disabled
        1 - Enabled
        
   team_noTeamReady <0|1> - Default: 0
        Toggles ability for use of the "teamready" command.
        0 - Command "teamready" enabled
        1 - Command "teamready" disabled

 ~ Vote system ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
        
   These CVars allow/disallow the according vote option:
   
	vote_allow_restart <0|1>
	
	vote_allow_timelimit <0|1>
	
	vote_allow_fraglimit <0|1>
	
	vote_allow_gametype <bitmask>
		Controls which gametypes are allowed to be voted, e.g. 1+4+128 = 133
		means Deathmatch, Team Deathmatch and ClanArena are allowed to be
		voted on this server.
		   1 - Deathmatch (FFA)
		   2 - Tourney
		   4 - Team Deathmatch
		   8 - Capture the Flag
		  16 - *reserved*
		  32 - Arena Capture the Flag
		  64 - *reserved*
		 128 - ClanArena
		 256 - Duel
		 		
	vote_allow_kick <0|1>
	
	vote_allow_map <0|1>
	
	vote_allow_minplayers <0|1>
	
	vote_allow_nextmap <0|1>
	
	vote_allow_capturelimit <0|1>
	
	vote_allow_tourneylimit <0|1>
	
	vote_allow_autobalance <0|1>
	
	vote_allow_shuffleteams <0|1>
	
	vote_allow_roundlimit <0|1>
	
	vote_allow_teamdamage <0|1>
	
	vote_allow_smoothboxjumps <0|1>
	
	vote_allow_freemodels <0|1>
	
	vote_allow_fastswitch <0|1>
	
	vote_allow_spawntype <0|1>
	
	vote_allow_maxrespawntime <0|1>
	
	vote_allow_altminrespawnlimit <0|1>
	
	vote_allow_setconfig <0|1>
	
	vote_allow_instagib <0|1>
	
	vote_allow_overtime <0|1>
	
	vote_allow_warmup <0|1>
	
	vote_allow_selfdamage <0|1>
	
	vote_allow_fallingdamage <0|1>
	
	vote_allow_shaftinwater <0|1>

	vote_allow_pubehavior <0|1>
	
	vote_allow_ref <0|1>
	
	vote_allow_allcaptain <0|1>
